package com.bananasound.server.modules.user.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Optional;

import com.bananasound.server.modules.user.entity.UserEntity;

public interface UserRepository extends PagingAndSortingRepository<UserEntity, Long> {

  Optional<UserEntity> findByUsername(String username);

  Page<UserEntity> findByUsernameContainingIgnoreCase(String username, Pageable pageable);

  Boolean existsByEmail(String email);

  Optional<UserEntity> findByEmail(String email);

  Boolean existsByUsername(String username);
}
